Subject: bug#14569: Fwd: Re: bug#14569: 24.3.50; bootstrap fails on Cygwin

From: Paul Eggert <[email-masked]>
Date: Fri, 14 Jun 2013 23:25:50 -0700

[Forwarding this to [email-masked]; I don't know how to
correlate Cygwin version 1.7.17 with the version numbers mentioned
in Bug#14569.]

-------- Original Message --------
Subject: Re: bug#14569: 24.3.50; bootstrap fails on Cygwin
Date: Sat, 15 Jun 2013 02:21:47 -0400
From: Christopher Faylor <[email-masked]>
Reply-To: [email-masked]
To: [email-masked]
CC: Paul Eggert <[email-masked]>

On Fri, Jun 14, 2013 at 11:01:54PM -0700, Paul Eggert wrote:
>On 06/14/2013 11:03 AM, Christopher Faylor wrote:
>>You pointed to an archived mail messages which implies that was fixed
>>more than a year ago.  What makes you think it is still a problem?
>
>The message I pointed to
><http://cygwin.com/ml/cygwin/2012-05/msg00472.html> says this:
>
>>Testcase signal/kill: Signals may or may not reach the correct thread
>>with 1.7.12-1 and newer.
>
>Confirmed.  I think the reason is that we only have a single event to
>signal that a POSIX signal arrived instead of a per-thread event, but
>I'm not sure.  This is cgf's domain so I leave it at that for now.
>
>I interpreted this to mean "the existence of the bug is confirmed,
>here's why the bug occurs, and I'll let cgf deal with it".  I didn't
>see any followup message where cgf (is that you?) dealt with it.  My
>apologies if I misinterpreted the email.

Oops.  I didn't read Corinna's message as thoroughly as I should have.
Sorry.

That particular issue was supposed to have been fixed in Cygwin 1.7.17,
released in October 2012.

cgf